﻿using igGridSetDataSourceInAjax.Models;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Infragistics.Web.Mvc;

namespace igGridSetDataSourceInAjax.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }


        [GridDataSourceAction]
        public ActionResult GetData()
        {
           
            var prod = Product.GetProductData(3).AsQueryable();
            return View("Index", prod);
        }


        [HttpPost]
        public JsonResult GetData2(int param)
        {
            int parameter = param;
            var prod = Product.GetProductData(parameter).AsQueryable();
             JsonResult newData = new JsonResult();
             newData.Data = prod;
             return newData;
        }

    }
}
